      SUBROUTINE scripto (OAP,M,N,MD,ND,c)
      IMPLICIT REAL*8(A-H,O-Z)
      character*8 c(md)
      DIMENSION OAP(MD,ND)
      nnn=10
      NN=N/nnn
      IF(NN.EQ.0) GOTO 85
      DO 83 KK=1,NN
      N1=nnn*(KK-1)+1
      N2=nnn*KK
      IF(N2.LT.N1) RETURN
      WRITE(6,*) ' '
      WRITE(6,1024) (I,I=N1,N2)
      WRITE(6,*) ' '
      DO 83 JJ=1,M
83    WRITE(6,1025) jj,c(jj),(OAP(JJ,II),II=N1,N2)
      WRITE(6,*) ' '
85    N1=nnn*NN+1
      N2=N
      IF(N2.LT.N1) RETURN
      WRITE(6,*) ' '
      WRITE(6,1024) (I,I=N1,N2)
      WRITE(6,*) ' '
      DO 84 JJ=1,M
84    WRITE(6,1025) jj,c(jj),(OAP(JJ,II),II=N1,N2)
      WRITE(6,*) ' '
1024  FORMAT(10X,10(3X,I5))
1025  FORMAT(1x,i3,1x,a8,1x,10F8.4)
      RETURN
      END
       SUBROUTINE scripto1 (OAP,M,N,MD,ND,c)
      IMPLICIT REAL*8(A-H,O-Z)
      character*8 c(md)
      DIMENSION OAP(MD,ND)
c      print*,'entree scripto',n,m,nd,md
      nnn=10
      NN=N/nnn
      IF(NN.EQ.0) GOTO 85
      DO 83 KK=1,NN
      N1=nnn*(KK-1)+1
      N2=nnn*KK
      IF(N2.LT.N1) RETURN
      WRITE(6,*) ' '
      WRITE(6,1024) (I,I=N1,N2)
      WRITE(6,*) ' '
      DO 83 JJ=1,M
83    if(any(dabs(oap(jj,n1:n2)).gt.1.d-6))
     *WRITE(6,1025) jj,c(jj),(OAP(JJ,II),II=N1,N2)
      WRITE(6,*) ' '
85    N1=nnn*NN+1
      N2=N
      IF(N2.LT.N1) RETURN
      WRITE(6,*) ' '
      WRITE(6,1024) (I,I=N1,N2)
      WRITE(6,*) ' '
      DO 84 JJ=1,M
84    if(any(dabs(oap(jj,n1:n2)).gt.1.d-6))
     *WRITE(6,1025) jj,c(jj),(OAP(JJ,II),II=N1,N2)
      WRITE(6,*) ' '
1024  FORMAT(10X,10(3X,I5))
1025  FORMAT(1x,i3,1x,a8,1x,10F8.4)
      RETURN
      END
      SUBROUTINE scripto2 (OAP,M,N,MD,ND,c,idep)
      IMPLICIT REAL*8(A-H,O-Z)
      character*8 c(md)
      DIMENSION OAP(MD,ND)
      nnn=10
      NN=N/nnn
      IF(NN.EQ.0) GOTO 85
      DO 83 KK=1,NN
      N1=nnn*(KK-1)+1
      N2=nnn*KK
      IF(N2.LT.N1) RETURN
      WRITE(6,*) ' '
      WRITE(6,1024) (I,I=N1+idep,N2+idep)
      WRITE(6,*) ' '
      DO 83 JJ=1,M
      if(any(dabs(oap(jj,n1:n2)).gt.1.d-6))
     *WRITE(6,1025) jj,c(jj),(OAP(JJ,II),II=N1,N2)
 83   continue
      WRITE(6,*) ' '
85    N1=nnn*NN+1
      N2=N
      IF(N2.LT.N1) RETURN
      WRITE(6,*) ' '
      WRITE(6,1024) (I,I=N1+idep,N2+idep)
      WRITE(6,*) ' '
      DO 84 JJ=1,M
      if(any(dabs(oap(jj,n1:n2)).gt.1.d-6))
     *WRITE(6,1025) jj,c(jj),(OAP(JJ,II),II=N1,N2)
 84   continue
      WRITE(6,*) ' '
1024  FORMAT(10X,10(3X,I5))
1025  FORMAT(1x,i3,1x,a8,1x,10F8.4)
      RETURN
      END
